/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/footer.css ***!
  \**************************************************************************************************************/
footer {
	background-color : black;
	color : white;
	height : 300px;

}

footer ul {
	list-style : none;
	margin : 25px auto;
	width : 700px;
	text-align : center;
}


footer .ligne {
	display : inline;
	margin-right : 10px;
	line-height: 24px;
}

footer p {
	text-align : center;
	width : 100%;
	margin-top : 50px;
	position : relative;
	top : 30px;
	font-size : 24px;
	margin-bottom: 100px;
}

footer a {
	display : inline-block;
	font-size : 16px;
	text-decoration : none;
	color : grey;
}

footer a:hover {
	color : white;
	border-bottom : 1px solid white;
}
/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/header.css ***!
  \**************************************************************************************************************/
body {
    margin: 0;
    font-family: 'Arial', sans-serif;
}
header{
    background-color: black;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width : 100%;
    /*height : 160px;*/

}

header a{
    text-decoration: none;
    color:var(--greyMH);
    font-size: 14px;
}

.topHead{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    width: 90%;
}

.toHide{
    width: 40px;
}
#brandBtn img{
    width: 150px;
}

.cartInfo{
    position: relative;
    top:20px;
}

#cartBtn img{
    width: 30px;
}

.bottomHead ul{
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-top: 5px;
    margin-bottom: 10px;
    gap: 20px;
    padding-left: 0;
    text-transform: uppercase;
}

.bottomHead ul a:hover{
    color: white;
    border-bottom: 1px solid white;
}

#totalItem{
    position: absolute;
    bottom: -4px;
    right: -4px;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    background-color: white;
    color: black;
    border-radius: 50%;
    font-size: 12px;
    margin: 0;
}
/*resp*/

@media screen and (max-width:1024px){
    .content{
        padding: 0px 20px !important;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

/*footer*/
/* resp css*/
ul.footer-badges-list {
    flex-wrap: wrap;
}
footer a {
    word-break: break-all;
    box-sizing: border-box;
}
body , body * {
    box-sizing: border-box!important;
}
body footer ul {
    max-width: 700px;
    width: 100%!important;
    gap: 10px;
    display: flex;
    justify-content:center;
    flex-wrap: wrap;
    margin: 0px auto;
    padding: 0px;
    box-sizing: border-box;
}
#gd-pre-footer .wrapper {
    flex-wrap: wrap;
}
footer p {
    margin-bottom: 30px;
    display: block;
    margin-top: 0px;
    top: 0px;
}
footer {
    height: unset;
    padding: 70px 20px;
}
ul.footer-badges-list {
    flex-wrap: wrap;
    padding: 0px 20px;
    gap: 20px;
}
@media only screen and (max-width: 1024px){
    #gd-pre-footer .wrapper{
        gap: 20px!important;
        padding:0px 20px;
    }

    ul.footer-badges-list{
        margin:0px;
        padding:60px 20px;
    }
}
@media only screen and (max-width: 767px){
    footer a {
        font-size:13px;
    }

    #gd-pre-footer .wrapper .divImageMarquage{
        width: calc(50% - 10px);
        min-width: calc(50% - 10px);
    }

    .bottomHead ul{
        padding: 0px 20px;
        justify-content: center;
    }
    footer .ligne {
        width: 100%;
        text-align: center;
    }

    ul.footer-badges-list li {
        width: calc(50% - 10px);
    }
}
/*header*/
#toggleNav {
    display:none;
}
@media only screen and (max-width: 1024px){
    .topHead{
        align-items:center;;
    }
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
@media only screen and (max-width: 767px){
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
/***.bandeau ul {*/
/*    display : flex;*/
/*    list-style : none;*/
/*    margin : 50px auto;*/
/*    width : 700px;*/
/*    text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*    margin : 0 auto;*/
/*    text-align : center;*/
/*    border : 3px solid black;*/
/*    font-size : 16px;*/
/*    letter-spacing : 0px;*/
/*}*/

/*.bandeau a {*/
/*    text-decoration : none;*/
/*    color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

/*.onglet2 a {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

@media screen and (max-width:1024px){
    section h6{
        margin: 20px 0px
    }
    section{
        width: 100% !important;;
        margin:70px auto !important;
        padding: 0px 20px !important;
    }
    .titre{
        margin-top:30px;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

.livraison-offerte-bandeau {
    background-color: var(--greenMH);
    text-align: center;
    padding: 5px 0;
    width: 100%;
}

.livraison-offerte-bandeau p {
    margin: 0;
    color: white !important;
    font-size: 14px;
    line-height: normal;
    /*font-weight: bold;*/
}


/*!**************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/style_q_frequentes.css ***!
  \**************************************************************************************************************************/
:root {
	--greenMH: #21C366;
	--greyMH: #D5D5D5;
	--blueMH: #0076BA;
	--grisTextMH: #5E5E5E;
}

* {
	/*margin: 0;*/
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}


html {
	font-family: 'Mulish', sans-serif;
}

p {
	line-height: 1.5;
}

.titles{
	width: 70%;
	margin: 50px auto 0 auto;
	padding: 0 35px 0 35px;

}

.titles ul{
	display: flex;
	list-style: none;
	gap: 20px;
}

.titles ul li {
	cursor: pointer;
	color: var(--greenMH);
	font-size: 18px;
	border: 1px solid rgba(0, 0, 0, 0);
	border-radius: 18px;
	padding: 7px 20px;
}

.titles ul li:hover {
	border: 1px solid var(--greenMH);
	border-radius: 18px;
}

h1 {
	font-size : 25px;
	text-align: center;
	margin-top: 90px;
}

section {
	width : 70%;
	margin : 0 auto 10px auto;
	border : 2px solid var(--greenMH);
	border-radius : 10px;
	/*margin-bottom : 10px;*/
	padding: 35px;
}

.selectedSection {
	display: block;
}

.hiddenSection {
	display: none;
}

.selected{
	border: 1px solid var(--greenMH);
	border-radius: 18px;
	color: white !important;
	background-color: var(--greenMH);
}

h2 {
	font-size : 20px;
	padding-top : 30px;
	padding-bottom : 30px;
	/*padding-left : 50px;*/
}

.question {
	font-size: 20px;
	margin : 15px 0 15px 0;
	padding : 10px 0 10px 0;
}

.toHideText {
	padding-left : 25px;
	padding-right : 80px;
	margin-bottom : 20px;
	display : none;
}

.fleche {
	display : inline-block;
	vertical-align : middle;
	float : right;
	/*margin-right : 50px;*/
	width: 30px;
	height: 30px;
	/*background-color : #D6D6D6; */
}

.topic {
	display : block;
	/*width : 1100px;*/
	/*margin : 0 auto;*/
	margin-bottom : 20px;
	border-bottom : 1px solid black;
	/*background-color : #EDEDED;*/
}

.topicHead{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	cursor : pointer;

}
/*resp  */
.question{
	width:calc(100% - 40px);
	font-weight: 600;
}
.topic{
	margin:0px 0px!important;
}
.topic:last-child{
	border-bottom:0px solid transparent;

}
.topic:last-child .topicHead .question{
	padding-bottom:0px;
	margin-bottom: 0px!important;
}
.topicHead{
	flex-wrap: nowrap;
}
.toHideText{
	line-height:1.4;
	padding-left:0px!important
}
/* Style to remove bullet points from the UL inside the FAQ text, formerly an inline style */
.toHideText ul {
	list-style: none;
}
.toHideText li{
	margin-bottom:12px;
}
.titles ul{
	gap:20px;
	flex-wrap:wrap;

}
.titles {
	max-width:1240px;
	width:100%;
	margin-top: 0px;
	padding:10px 20px;
}
.titles ul li{
	border-radius:10px;
	min-height:60px;
	align-items:Center;
	font-size:16px;
	display:flex;
	background:#21c3661f;
	width:calc(25% - 15px);
	justify-content:center;
}

.titles ul li.selected{
	border-radius:10px;
	background:#21c366;
}
.selectedSection{
	max-width:1200px;
	width:calc(100% - 40px);
	margin:20px auto 70px auto;
}
@media only screen and (max-width: 1024px){
	.toHideText{
		margin-top: 0px;
		padding-right:0px;
	}
	.titles ul li{

		width:calc(50% - 15px);

	}

	.selectedSection h2{
		padding:0px;
	}
	h1{
		margin: 70px 0px 0px 0px ;
	}
}
@media only screen and (max-width: 767px){
	.selectedSection{
		padding:20px;
	}
	.question{
		font-size:16px;
	}
	.titles ul{
		margin-bottom: 0px;
		gap:10px;
	}
	.titles ul li {
		min-height:unset;
		padding:15px;
		width: 100%;
	}
	img.fleche{
		width:20px;
		height:unset!important;
	}
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/